Subject: Crossbows & Swordmaking

From: Tfranklin <[email-masked]>
Date: Fri, 28 Jul 1995 20:49:31 -0400 (EDT)

An excellent source for information on making Crossbows and 
Swords may be found (or asked for) on the newsgroup:

	rec.org.sca

	This is the newsgroup for the Society for Creative Anacronisms.  
They do a lot of Medieval Renactment and hold many Events across the 
country (and abroad) where they like to show off their handmade 
"authentic style" armaments from various ages.  Post a request for 
information there and I'll bet someone will have the answers you're 
looking for.